From 8079aa11cfaed5688d2a0bc9f4fdf1bb6c15c96a Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Sep 02 2020 04:24:39 +0000
Subject: [PATCH 812/2232] Don't try canonicalize on windows


---

diff --git a/gen/build/src/paths.rs b/gen/build/src/paths.rs
index 0145a38..f8b1ee9 100644
--- a/gen/build/src/paths.rs
+++ b/gen/build/src/paths.rs
@@ -82,8 +82,13 @@ pub(crate) fn include_dir(prj: &Project) -> PathBuf {
 }
 
 pub(crate) fn search_parents_for_target_dir(out_dir: &Path) -> TargetDir {
+    // fs::canonicalize on Windows produces UNC paths which cl.exe is unable to
+    // handle in includes.
+    // https://github.com/rust-lang/rust/issues/42869
+    // https://github.com/alexcrichton/cc-rs/issues/169
+    let mut also_try_canonical = cfg!(not(windows));
+
     let mut dir = out_dir.to_owned();
-    let mut also_try_canonical = true;
     loop {
         let is_target = dir.ends_with("target");
         let parent_contains_cargo_toml = dir.with_file_name("Cargo.toml").exists();

